Olá senhores,

Sei que o PHP7 foi lançando há um tempo, mas eu estava esperando o lançamento do Ubuntu 16.04 para poder instalar os dois juntos. Bem, sem mais delongas, vou mostrar como instalar as ferramentas de desenvolvimento que eu uso no dia a dia.

Sublime Text 3

$ sudo add-apt-repository ppa:webupd8team/sublime-text-3;
$ sudo apt-get update;
$ sudo apt-get install sublime-text-installer;

Dependences

$ sudo apt-get install curl;
$ sudo apt-get install libpq-dev;
$ sudo apt-get install libgmp-dev;
$ sudo apt-get install build-essential patch;
$ sudo apt-get install libxslt-dev libxml2-dev;
$ sudo apt-get install ruby-dev zlib1g-dev liblzma-dev
$ sudo apt-get install mcrypt libmcrypt4 libmcrypt-dev;

Git

$ sudo apt-get install git-core;
$ ssh-keygen -t rsa -C "your@email.com";
$ git config --global user.email "your@email.com";
$ git config --global user.name "Your Name";

NGINX

$ sudo apt-get install nginx;

MySql 5.7

$ sudo apt-get install mysql-server-5.7 mysql-client-5.7 libmysqlclient-dev;

Postgres

$ sudo apt-get install postgresql postgresql-client-9.5 postgresql-9.5 postgresql-contrib-9.5;

Criando role Postgres

$ sudo -u postgres psql
postgres=# CREATE ROLE username superuser;
postgres=# ALTER ROLE username WITH LOGIN;
postgres=# \q;

PHP7

$ sudo apt-get install php7.0 php7.0-fpm php7.0-mysql;
$ sudo apt-get install php7.0-zip php7.0-mcrypt php7.0-mbstring php7.0-xml;

Composer

$ curl -sS https://getcomposer.org/installer | php
$ sudo mv composer.phar /usr/local/bin/composer

Laravel

$ composer global require "laravel/installer"
$ export laravel="~/.composer/vendor/bin/laravel"

RVM

$ gpg --keyserver hkp://keys.gnupg.net --recv-keys 409B6B1796C275462A1703113804BB82D39DC0E3;
$ \curl -sSL https://get.rvm.io | bash -s stable;

Ruby

$ rvm install 2.3

Rails

$ gem install bundler
$ gem install rails

Instalando todos

Bem, se você usa todos os eu criei um script que instala todos, mas é não se preocupe, caso você não queira instalar todos será peguntados um a um. Para fazer isso é só rodar

$ wget http://install.wfsneto.com.br/environment-ruby-php-in-ubuntu-16-04.sh
$ sudo chmod +x environment-ruby-php-in-ubuntu-16-04.sh
$ ./environment-ruby-php-in-ubuntu-16-04.sh

That's all folks